<nav class="navbar navbar-expand-lg navbar-dark bg-dark">
    <div class="container">
        <a class="navbar-brand" href="/">Flask Blog</a>
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNavAltMarkup"
                aria-controls="navbarNavAltMarkup" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarNavAltMarkup">
            <div class="navbar-nav">
                <a class="nav-item nav-link" href="/posts">Posts</a>
            </div>
        </div>
        <ul class="nav navbar-nav navbar-right">
        {% if not current_user.is_authenticated %}
            <li><a class="nav-item nav-link btn btn-success" href="/login">Log in</a></li>
            <li><a class="nav-item nav-link btn btn-outline-success" href="/register">Register</a></li>
        {% else %}
            <li class="navbar-text">{{ current_user.username }}</li>
            <li><a class="nav-item nav-link btn btn-success" href="/dashboard">Dashboard</a></li>
            <li><a class="nav-item nav-link btn btn-danger" href="/logout">Logout</a></li>
        {% endif %}
        </ul>
    </div>
</nav>